use super::WeakFunctor;

pub trait WeakFunctorAny: Send {
    /// Type of the wrapped value.
    type FAny<'a, A: 'a + Send>: 'a + Send
    where
        Self: 'a;
}

impl<'a, T: ?Sized + 'a + WeakFunctorAny> WeakFunctor<'a> for T {
    type F<A: 'a + Send> = T::FAny<'a, A>;
}
