//! # RADN
//! Rainbow something something Network.

#![cfg_attr(doc, deny(rustdoc::broken_intra_doc_links))]
#![cfg_attr(doc, deny(rustdoc::private_intra_doc_links))]
#![cfg_attr(doc, deny(rustdoc::private_doc_tests))]
#![cfg_attr(doc, deny(rustdoc::invalid_codeblock_attributes))]
#![cfg_attr(doc, deny(rustdoc::invalid_html_tags))]
#![cfg_attr(doc, deny(rustdoc::invalid_rust_codeblocks))]
#![cfg_attr(doc, deny(rustdoc::bare_urls))]

pub mod atomic;
pub mod flow;
pub mod func;
pub mod mode;
pub mod mrds;
pub mod rcore;
pub mod rstd;
#[cfg(test)]
mod testing;

extern crate self as radn;
